# salt.serializers.yaml

Implements YAML serializer.

Underneath, it is based on pyyaml and use the safe dumper and loader. It also use C bindings if they are available.

salt.serializers.yaml.deserialize(stream_or_string, **options)

  Deserialize any string of stream like object into a Python data structure.

  Parameters:

    - stream_or_string -- stream or string to deserialize.

    - options -- options given to lower yaml module.

salt.serializers.yaml.serialize(obj, **options)

  Serialize Python data to YAML.

  Parameters:

    - obj -- the data structure to serialize

    - options -- options given to lower yaml module.